Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.server
Class AxisServer

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.AxisEngine
                  |
                  +--org.apache.axis.server.AxisServer

All Implemented Interfaces:
  Handler, java.io.Serializable

public class AxisServer
extends AxisEngine

Author:
  Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@allaire.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.AxisEngine
`_hasSafePassword, classCache, config, DEFAULT_ATTACHMENT_IMPL, ENV_ATTACHMENT_DIR, ENV_SERVLET_CONTEXT, ENV_SERVLET_REALPATH, PROP_ATTACHMENT_CLEANUP, PROP_ATTACHMENT_DIR, PROP_ATTACHMENT_IMPLEMENTATION, PROP_DEBUG_FILE, PROP_DEBUG_LEVEL, PROP_DEFAULT_CONFIG_CLASS, PROP_DOMULTIREFS, PROP_PASSWORD, PROP_SEND_XSI, PROP_SOAP_VERSION, PROP_SYNC_CONFIG, PROP_XML_DECL, shouldSaveConfig`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`name, options`

Constructor Summary
`AxisServer()`
`AxisServer(EngineConfiguration config)`

Method Summary
`void` | `generateWSDL(MessageContext msgContext)` Obtain WSDL information.
`AxisEngine` | `getClientEngine()` Get this server's client engine.
`static AxisServer` | `getServer(java.util.Map environment)`
`void` | `invoke(MessageContext msgContext)` Main routine of the AXIS server.
`boolean` | `isRunning()`
`void` | `start()` Start the server.
`void` | `stop()` Stop the server.

Methods inherited from class org.apache.axis.AxisEngine
`addActorURI, cleanup, getActorURIs, getApplicationSession, getClassCache, getConfig, getCurrentMessageContext, getGlobalRequest, getGlobalResponse, getHandler, getService, getTransport, getTypeMappingRegistry, hasSafePassword, init, normaliseOptions, refreshGlobalOptions, removeActorURI, saveConfiguration, setAdminPassword, setCurrentMessageContext, setShouldSaveConfig`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### AxisServer

    public AxisServer()

### AxisServer

    public AxisServer(EngineConfiguration config)

Method Detail

### getServer

    public static AxisServer getServer(java.util.Map environment)
                                throws AxisFault

### isRunning

    public boolean isRunning()

### start

    public void start()

  Start the server.

### stop

    public void stop()

  Stop the server.

### getClientEngine

    public AxisEngine getClientEngine()

  Get this server's client engine. Create it if it does not yet exist.
  Overrides:
    `getClientEngine` in class `AxisEngine`

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Main routine of the AXIS server. In short we locate the appropriate handler for the desired service and invoke() it.
  Overrides:
    `invoke` in class `BasicHandler`

### generateWSDL

    public void generateWSDL(MessageContext msgContext)
                      throws AxisFault

  Description copied from interface: `Handler`
  Obtain WSDL information. Some Handlers will implement this by merely setting properties in the MessageContext, others (providers) will take responsibility for doing the "real work" of generating WSDL for a given service.
  Overrides:
    `generateWSDL` in class `BasicHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.